#! /bin/sh


if ( ! type systemctl > /dev/null 2>&1 ) && ( ! type chkconfig > /dev/null 2>&1 )
then
	echo "Unsupported version. This installer works only with systemd and chkconfig"
	exit -1
fi

if type systemctl > /dev/null 2>&1
then
	systemctl stop upsshutdownwizard
	systemctl disable upsshutdownwizard
	rm /etc/systemd/system/upsshutdownwizard.service
elif type chkconfig > /dev/null
then
	service upsshutdownwizard stop
	chkconfig upsshutdownwizard off
	rm /etc/init.d/upsshutdownwizard
fi
	
rm /usr/sbin/upsshutdownwizard 2>&1
	
echo "Remove config and logs? (Y/n)"
read req
if [ $req = 'Y' ]
then
	rm /etc/upsshutdownwizard/*
	rm /var/log/upsshutdownwizard/*
	rmdir /etc/upsshutdownwizard
	rmdir /var/log/upsshutdownwizard
fi